
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Swift内存管理-示例讲解 / iVAN</title>

    <meta name="description" content="Swift内存管理-示例讲解 具体而言,Swift中的ARC内存管理是对引用类型的管理,即对类所创建的对象采用ARC管理.而对于值类型,如整型.浮点型.布尔型.字符串.元组.集合.枚举和结构体等,是由处理器自动管理的,程序员不需要管理它们的内存.一.引用计数每个Swift类创建的对象都有一个内部计数器,这个计数器跟踪对象的引用次数,称为引用计数(Reference Count,简称RC).当对象被创建的时候,引用计数为1,每次对象被引用的时候会使其引用计数加1,如果不需要的时候,对象引用断开(赋值为nil),其引用计数减1.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Swift内存管理-示例讲解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>具体而言，Swift中的ARC内存管理是对引用类型的管理，即对类所创建的对象采用ARC管理。而对于值类型，如整型、浮点型、布尔型、字符串、元组、集合、枚举和结构体等，是由处理器自动管理的，程序员不需要管理它们的内存。<br />一、引用计数<br />每个Swift类创建的对象都有一个内部计数器，这个计数器跟踪对象的引用次数，称为引用计数（Reference Count，简称RC）。当对象被创建的时候，引用计数为1，每次对象被引用的时候会使其引用计数加1，如果不需要的时候，对象引用断开（赋值为nil），其引用计数减1。当对象的引用计数为0的时候，对象的内存才被释放。<br />下图是内存引用计数原理示意图。图中的房间就好比是对象的内存，一个人进入房间打开灯，就是创建一个对象，这时候对象的引用计数是1。有人进入房间，引用计数加1；有人离开房间，引用计数减1。最后一个人离开房间，引用计数为0，房间灯关闭，对象内存才被释放。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA5MDQyMDEyNTQ4MzI=.jpg"></p>
<p>二、示例：Swift自动引用计数<br />下面我们通过一个示例了解一下Swift中的自动引用计数原理。下图是Employee类创建的对象的生命周期，该图描述了对象被赋值给3个变量，以及它们的释放过程。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA5MDQyMDExMjczOTA=.jpg"></p>
<p>示例代码如下：
<pre>class Employee {				①
var no : Int
var name : String
var job : String
var salary : Double

init(no : Int, name: String, job : String, salary : Double) {	②
    self.no = no
    self.name = name
self.job = job
self.salary = salary
println("员工\(name) 已经构造成功。")	③
    }
deinit {							④
println("员工\(name) 已经析构成功。")	⑤
    }
}

var ref1: Employee?			⑥
var ref2: Employee?			⑦
var ref3: Employee?			⑧

ref1 = Employee(no: 7698, name: "Blake", job :"Salesman", salary : 1600)	⑨

ref2 = ref1						⑩
ref3 = ref1						⑪

ref1 = nil						⑫
ref2 = nil						⑬
ref3 = nil						⑭</pre>
<p>上述代码第①行声明了Employee类，第②行代码是定义构造器，在构造器中初始化存储属性，并且在代码第③行输出构造成功信息。第④行代码是定义析构器，并在代码第⑤行输出析构成功信息。</p>
<p>代码第⑥~⑧行是声明3个Employee类型变量，这个时候还没有创建Employee对象分配内存空间。代码第⑨行是真正创建Employee对象分配内存空间，并把对象的引用分配给ref1变量，ref1与对象建立“强引用”关系，“强引用”关系能够保证对象在内存中不被释放，这时候它的引用计数是1。第⑩行代码ref2 = ref1是将对象的引用分配给ref2，ref2也与对象建立“强引用”关系，这时候它的引用计数是2。第⑪行代码ref3 = ref1是将对象的引用分配给ref3，ref3也与对象建立“强引用”关系，这时候它的引用计数是3。<br />然后在代码第⑫行通过ref1 = nil语句断开ref1对Employee对象的引用，这时候它的引用计数是2。以此类推，ref2 = nil时它的引用计数是1，ref3 = nil时它的引用计数是0，当引用计数为0的时候Employee对象被释放。<br />我们可以测试一下看看效果，如果设置断点单步调试，会发现代码运行完第⑨行后控制台输出：<br />员工Blake 已经构造成功。<br />析构器输出的内容直到运行完第⑭行代码才输出：<br />员工Blake 已经析构成功。</p>
<p>这说明只有在引用计数为0的情况下才调用析构器，释放对象。</p>
<p>更多内容请关注国内第一本Swift图书<a href="http://www.51work6.com/swift.php" rel="external nofollow noreferrer">《Swift开发指南》</a></p>
<p>本书交流讨论网站：<a href="http://www.51work6.com/swift.php" rel="external nofollow noreferrer">http://www.51work6.com/swift.php</a></p>
<p>欢迎加入Swift技术讨论群：362298485</p>
<p>欢迎关注智捷iOS课堂微信公共平台</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA4MTcxNzA1Mjk4NTI=.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-13 11:55:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Swift内存管理-示例讲解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx0QAQM.html" rel="bookmark">Swift内存管理（ARC）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文出自:Swift ARC总结 引言 Swift使用自动引用计数(ARC)机制来处理内存.通常情况下,Swift内存管理机制会自动管理内存,无须我们考虑内存的管理.ARC会在类的实例不再被使用(也就是没有引用)时,会自动释放其占用的内存. 可是,在少数情况下,ARC需要更多地了解我们代码之间的联系,才能正确管理内存.本篇文章就这少数情况而讨论和分析其应用场景及如何更好地解决循环引用的问题. 注意:ARC仅应用于类的实例.结构体和枚举类型是值类型,不是引用类型,也不是通过引用的方式存储和传递.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKQZVp.html" rel="bookmark">Linux系统基本的内存管理知识讲解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  内存是Linux内核所管理的最重要的资源之一.内存管理系统是操作系统中最为重要的部分,因为系统的物理内存总是少于系统所需要的内存数量.虚拟内存就是为了克服这个矛盾而采用的策略.系统的虚拟内存通过在各个进程之间共享内存而使系统看起来有多于实际内存的内存容量.Linux支持虚拟内存, 就是使用磁盘作为RAM的扩展,使可用内存相应地有效扩大.核心把当前不用的内存块存到硬盘,腾出内存给其他目的.当原来的内容又要使用时,再读回内存. 一.内存使用情况监测 (1)实时监控内存使用情况 在命令行使用&quot;Fr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5ZyZqz.html" rel="bookmark">《从零开始学Swift》学习笔记（Day 61）&mdash;&mdash;Core Foundation框架之内存管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原创文章,欢迎转载.转载请注明:关东升的博客  在Swift原生数据类型.Foundation框架数据类型和Core Foundation框架数据类型之间转换过程中,虽然是大部分是可以零开销桥接,零开销并不意味着内存什么都不用管.Swift类型内存管理是采用ARC,Foundation类型和Core Foundation类型内存管理都是采用MRC或ARC,CoreFoundation类型内存管理是基于C语言风格的,它有一个对象所有权的概念. Objective-C的MRC内存管理 Core Fo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNdLBp.html" rel="bookmark">简单讲解Objective-C的基本特性及其内存管理方式&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.OC简介 Oc语言在c语言的基础上,增加了一层最小的面向对象语法,完全兼容C语言,在OC代码中,可以混用c,甚至是c++代码. 可以使用OC开发mac osx平台和ios平台的应用程序. 拓展名:c语言-.c  OC语言.-m  兼容C++.-mm 注:其实c语言和oc甚至任何一门语言都只是我们为了实现一些功能,达到一些效果而采用的工具,抛开语法的差别外,我想最重要的应该是在解决问题的时候考虑的角度和方法不一样而已,然而这也构成了学习一门语言的重要性.   二.语法预览 (1)关键字 基本上			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z420wNM.html" rel="bookmark">JavaScript内存管理介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了JavaScript内存管理介绍,本文讲解了内存生命周期.JavaScript的内存分配.通过函数调用的内存分配.当内存不再需要使用时释放等内容,需要的朋友可以参考下     简介 低级语言,比如C,有低级的内存管理基元,想malloc(),free().另一方面,JavaScript的内存基元在变量(对象,字符串等等)创建时分配,然后在他们不再被使用时&quot;自动&quot;释放.后者被称为垃圾回收.这个&quot;自动&quot;是混淆并给JavaScript(和其他高级语言)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NLZBz.html" rel="bookmark">C&plus;&plus;内存管理学习笔记（3）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				/****************************************************************/ /*            学习是合作和分享式的! /* Author:Atlas                    Email:wdzxl198@163.com    /*  转载请注明本文出处: *   http://blog.csdn.net/wdzxl198/article/details/9078965 /**********************			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2PLAZp.html" rel="bookmark">《iOS应用开发》&mdash;&mdash;2&period;3节内存管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.3 内存管理 iOS应用开发 我不是吓唬你们.在iOS 5.0系统之前,内存管理毫无疑问是iOS开发最困难的部分.简而言之,问题是这样的.无论何时你创建了一个变量,你就要在内存中给它分配一定的空间.对于局部变量来说,我们通常使用栈上的内存,这些内存是自动管理的,当函数返回时,函数中定义的任何局部变量都会从内存中自动删除. 这听起来很棒,但是栈有两个严重的局限.首先,它的空间非常有限,如果用尽了内存,应用程序就会崩溃.其次,这些变量很难共享.请记住,函数使用值传参和返回.这意味着所有传入函数或			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNjKNoM.html" rel="bookmark">C&plus;&plus;内存管理学习笔记（4）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				/****************************************************************/ /*            学习是合作和分享式的! /* Author:Atlas                    Email:wdzxl198@163.com    /*  转载请注明本文出处: *   http://blog.csdn.net/wdzxl198/article/details/9094793 /**********************			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/yMAkJ3z.html" rel="bookmark">内存管理 之 存储器硬件知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				接下来,为了顺应Linux Kernel的学习,在操作系统方面首先学习的是内存管理.首先主要讲解物理内存的相关知识.本节主要讲解存储器的基础硬件知识,下一节讲解存储器的层次结构.   存储器是计算机系统的重要组成部分,它在计算机系统中的作用是存放程序和数据.存储器不仅使计算机具有记忆功能,而且是计算机高速自动运行的基础. 作为计算机的核心部件之一,存储器直接关系到整个计算机系统性能的高低.如何以合理的成本搭建出容量和速度都满足要求的存储器系统,始终是计算机体系结构设计中的关键问题之一:一方面,人			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5NBDz.html" rel="bookmark" class="title">串口通信校验问题-请教串口校验问题&lpar;急急急&rpar;</a>
					<div>
						问题描述 请教串口校验问题(急急急) 使用串口精灵截获指令如下:(上位机-&gt;下位机)7E C1 02 03 58 C0 01 04 C3 01 09 E7 1E 7E7E C1 02 03 59 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpke4ob.html" rel="bookmark" class="title">改变IE地址栏的IE图标</a>
					<div>
						 改变ie地址栏的ie图标 我们要先做一个16*16的icon(图标文件),保存为index.ico.把这个图标文件上传到根目录下并在首页&lt;head&gt;&lt;/head&gt;之间加上如下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQD4oz.html" rel="bookmark" class="title">session全教程&lpar;一&rpar;</a>
					<div>
						session|教程 一.session概述 session是什么,刚开始我也不明白,非专业词典翻译为会议,会议期.作个不太恰当的比喻吧 (虽然不恰当,但意义却是一样的),session是你和网站之间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyN3Zp.html" rel="bookmark" class="title">高质量C&plus;&plus;&sol;C编程指南-第11章-其它编程经验&lpar;2&rpar;</a>
					<div>
						11.1.3 const成员函数 任何不会修改数据成员的函数都应该声明为const类型.如果在编写const成员函数时,不慎修改了数据成员,或者调用了其它非const成员函数,编译器将指出错误,这无疑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjKOlp.html" rel="bookmark" class="title">OWB 11g循序渐进系列&lpar;0&rpar; Oracle Warehouse Builder 11g体系结构和组件</a>
					<div>
						本文从 Oracle Documentation 整理得到 Warehouse Builder 11g 体系结构和组件 Oracle Warehouse Builder 是一个信息集成工具,可以利用  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2YJQp.html" rel="bookmark" class="title">PPT批量插入图片</a>
					<div>
						如果要往PowerPoint中插入几十甚至几百 张图片,并且要求每张图片插入到每张幻灯片页面上(即有几张照片就要有几张幻灯片)你会怎么做?按照常用的方法点击&quot;插入→图片→来自文件&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAOVLb.html" rel="bookmark" class="title">C&num; ThreadPool&period;QueueUserWorkItem典型案例详解</a>
					<div>
						  using System; using System.Collections.Generic; using System.Threading; namespace ThreadPoolTest { ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgK1VOM.html" rel="bookmark" class="title">摄像头不能用解决办法</a>
					<div>
						1.摄像的速度慢 故障现象:把刚买回的摄像头安装上网后,感觉显示速度太慢,更换过上网拨号地点和 ISP ,结果速度还是很慢.在不上网时测试这个摄像头,发现这时图像显示也很慢. 分析及处理:这种现象是由 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmY66z.html" rel="bookmark" class="title">华为手机如何双清</a>
					<div>
						  手机系统进行了多次的在线或本地更新后,做一次双清会更好一些,但事先一定要备份内置存储卡的个人数据. 操作步骤: 1.进入官方Recovery 以下两种办法都可以进入Recovery操作界面. 1) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z8GBb.html" rel="bookmark" class="title">vim替换命令为何是用&bsol;r</a>
					<div>
						问题描述 vim替换命令为何是用 为何我在linux下用vim的替换命令匹配的时候换行要用 ,而替换时要用 啊 解决方案 vim替换命令vim 替换命令vim替换命令 解决方案二: 按理说都是 才对, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN8w0M.html" rel="bookmark" class="title">TypeScript快餐教程 &lpar;1&rpar; - 初识</a>
					<div>
						TypeScript快餐教程 (1) - 初识 JavaScript,更广泛点也许可以说是ECMA Script的各种实现,从诞生到现在,一直就没断过争议.ECMA Script 4的夭折正是这些争论 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywBZkz.html" rel="bookmark" class="title">招商证券总裁换帅杨鶤辞职 中银国际CEO王岩接任</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/33049.html&quot;&gt;招商证券9月24日突然公告称,董事.总裁杨鶤和常务副总裁余维佳主动辞职.据招商证 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Py8kp.html" rel="bookmark" class="title">如何制订网站的SEO策略</a>
					<div>
						从2005年后,我基本都只是给大型网站做SEO,因为给大型网站做SEO,效果非常的明显,价格自然也可以收的非常高.总结这两年来我做过的几十家大型网站的SEO经验,我发现,SEO策略是最为重要的.    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6KonM.html" rel="bookmark" class="title">&lbrack;新手上路&rsqb;为什么同样一个sql文件 导入mysql毫无问题但是导入sql2005各种报语法错误</a>
					<div>
						问题描述 [新手上路]为什么同样一个sql文件 导入mysql毫无问题但是导入sql2005各种报语法错误 DROP TABLE IF EXISTS messages; CREATE TABLE me ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm63gjz.html" rel="bookmark" class="title">播放幻灯片出现&OpenCurlyDoubleQuote;此文档包含的嵌入内容可能对您的计算机有害&rdquo;的解决办法</a>
					<div>
						问题描述 播放幻灯片出现&quot;此文档包含的嵌入内容可能对您的计算机有害&quot;的解决办法 如题:播放幻灯片出现&quot;此文档包含的嵌入内容可能对您的计算机有害&quot;的解决办法 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEDkYp.html" rel="bookmark" class="title">BaseAnimation是基于开源的APP&comma;致力于收集各种动画效果&lpar;最新版本1&period;3&rpar;</a>
					<div>
						声明:部分动画来源于网络,本人只是想方便收集在一起,如果不妥请及时与我联系!谢谢 为了统一BaseAnimationApp签名,一定要方便以后大家自动更新...防止签名冲突,不能及时更新 1.3源码下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA708nz.html" rel="bookmark" class="title">sql server-新手提问：数据库连不上</a>
					<div>
						问题描述 新手提问:数据库连不上 出现错误: 通过端口 1433 连接到主机 119.164.252.213 的 TCP/IP 连接失败.错误:&quot;connect timed out.请验证连 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5N70Rz.html" rel="bookmark" class="title">宏正科技KN4140v KVM多电脑切换器多用户远程访问</a>
					<div>
						宏正自动科技(ATEN International)近日推出一系列隶属旗下ALTUSENhttp://www.aliyun.com/zixun/aggregation/10144.html&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrxBOM.html" rel="bookmark" class="title">构建文件格式转换服务器</a>
					<div>
						为什么要做文件格式转换服务器      不知道各位是否遇到这样的情况, 当您在浏览IBM SUN等公司的技术网站的时候, 你会发现在每个页面的上方有小图标, 你可以把当前的页面内容以word, pdf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlE0mb.html" rel="bookmark" class="title">mySQL Slow Query Log Rotation&lpar;慢查询日志轮循设置&rpar;</a>
					<div>
						要分析公司网站MYSQL性能,常规MY.CNF调优是一方面,慢查日志分析也重要. 但现在日志太大了,作一个每天自动切割的任务.将脚本放在/etc/logrotate.d/. 如何分析导出日志,以后再写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNBQQz.html" rel="bookmark" class="title">linux date命令</a>
					<div>
						使用date命令可以在Linux命令行模式下查看或修改系统日期和时间. date //显示当前日期  date -s //设置当前时间,只有root权限才能设置,其他只能查看.  date -s 20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2jqXb.html" rel="bookmark" class="title">c语言-［请教］ 关于ANSIC ［可移植］伪随机函数rand&lpar;&rpar; 的问题。。。</a>
					<div>
						问题描述 ［请教］ 关于ANSIC ［可移植］伪随机函数rand() 的问题... /* rand0.c ---产生随机数*/ /*使用ANSI C 可移植算法*/ static unsigned l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRPr5b.html" rel="bookmark" class="title">测试标准I&sol;O缓冲的代码，</a>
					<div>
						对普通文件流,标准输入,标准输出及标准错误输出流进行了判断. 在进行判断是,使用了STRUCT_IO_FILE中的_FLAGS成员. 1 [root@localhost ccode]# vim buf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeXgrb.html" rel="bookmark" class="title">Linux SendMail发送邮件失败诊断案例&lpar;四）</a>
					<div>
						    最近又碰到一起Linux下SendMail发送邮件失败的案例,邮件发送后,邮箱收不到具体邮件, 查看日志/var/log/maillog 发现有&quot;DSN: User unknown& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKyZZz.html" rel="bookmark" class="title">一条微博引发的混战</a>
					<div>
						张发财指黄健翔剽窃,双方粉丝微博鏖战 微博虽小,只有短短140字,但是字字惊险,处处暗藏杀机,一招不慎就会引发乱战.前天晚上,一条新浪微博(http://t.sina.com.cn)掀起了微博江湖的一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBx3wM.html" rel="bookmark" class="title">简单有趣的NLP教程：手把手教你用 PyTorch 辨别自然语言（附代码）</a>
					<div>
						最近在学pyTorch的实际应用例子.这次说个简单的例子:给定一句话,判断是什么语言.这个例子是比如给定一句话: Give it to me    判断是 ENGLISH    me gusta co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjRJWM.html" rel="bookmark" class="title">Sql server 数据库中，纯SQL语句查询、执行 单引号问题。</a>
					<div>
						原文:Sql server 数据库中,纯SQL语句查询.执行 单引号问题. 在默认值情况下, select 'abc',Titile from tb_Name;  ---输出内容 是abc: 如果想输 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLYgRM.html" rel="bookmark" class="title">EMChatManager&period;getInstance&lpar;&rpar;&period;createAccountOnServer&lpar;usermessagename&comma; password&rpar;&semi;</a>
					<div>
						问题描述 调用该方法报错误Caused by: java.lang.RuntimeException: Can't create handler inside thread that has not  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Y193z.html" rel="bookmark" class="title">互联网欺诈花样百出，人工智能如何加强金融风控体系？</a>
					<div>
						编者按:去年P2P公司遇冷后,纷纷转型称会用大数据.机器学习等科技手段服务金融,摇身一变成为时髦的Fintech金融科技公司.但实现过程并不简单,让机器代替人去处理数据做判断,在国内金融领域才刚刚起步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0ZY1z.html" rel="bookmark" class="title">JS 拦截全局ajax请求实例解析&lowbar;javascript技巧</a>
					<div>
						你是否有过下面的需求:需要给所有ajax请求添加统一签名.需要统计某个接口被请求的次数.需要限制http请求的方法必须为get或post.需要分析别人网络协议等等,那么如何做?想想,如果能够拦截所有a ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
